=== debian/changelog ===
multipath-tools (0.9.4-5ubuntu8.1) noble; urgency=medium

  * d/p/0005-hpe-msa-gen7-support.patch: add support for HPE MSA gen7 arrays
    (LP: #2116901)

 -- Jonas Jelten <jonas.jelten@canonical.com>  Tue, 22 Jul 2025 17:44:15 +0200

multipath-tools (0.9.4-5ubuntu8) noble; urgency=medium

  * No-change rebuild against libaio1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 00:31:07 +0000

multipath-tools (0.9.4-5ubuntu7) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:10:06 +0000

multipath-tools (0.9.4-5ubuntu6) noble; urgency=medium

  * Remove wrong hard-coded dep on libaio1.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 22 Mar 2024 16:54:55 +0000

multipath-tools (0.9.4-5ubuntu5) noble; urgency=medium

  * Rebuild against new libaio1t64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 19 Mar 2024 17:07:47 +0100

multipath-tools (0.9.4-5ubuntu4) noble; urgency=medium

  * No-change rebuild against libaio1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 09:13:57 +0000

multipath-tools (0.9.4-5ubuntu3) mantic; urgency=medium

  * d/initramfs/scripts/{local-bottom,local-top}/multipath: Make initramfs
    scripts +x so they actually get executed (Debian changed how initramfs
    scripts are installed in 0.9.0-2 so this matters now but didn't before).
    (LP: #2034606)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 07 Sep 2023 11:15:10 +1200

multipath-tools (0.9.4-5ubuntu2) mantic; urgency=medium

  * d/multipath-tools.maintscript: remove /etc/init.d/multipath-tools
    - The previous merge in mantic removed the calls to dh_installinit to help
      prevent an upgrade/install failure for users in a certain scenario. The
      removal of the conf file was not included in the merge, but should be
      included in-case users upgrade release and carry-over the conf file.
      (See LP: 2000186 for reference)

 -- Mitchell Dzurick <mitchell.dzurick@canonical.com>  Wed, 02 Aug 2023 10:40:27 -0700

multipath-tools (0.9.4-5ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2018051). Remaining changes:
    - d/p/enable-find-multipaths.patch: re-enable find_multipaths by
      default -- see the removed 'add_find-multipaths.patch' (LP 1463046)
    - d/multipath.conf: Install friendly names multipath.conf by default,
      instead of generating it in every installer.
    - d/multipath-tools.dm-mpath-lvm.udev: Adjust initramfs integration
      for new udev rules
    - Remove d/initramfs/local-top (redundant with other initramfs scripts):
      + init-top: take over loading modules (dm-multipath and SCSI device
        handlers); move the missing dm-emc there (now scsi-dh-emc; see
        BTS 567014).
      + remove d/initramfs/local-top
    - d/initramfs/hooks: Add dm-queue-length: users may want to
      change from the default selector and should be able to do so.
      (LP 1673350)
    - multipath initramfs fixes for booting from multipathed devices:
      + d/initramfs/hooks: also copy wwids file on the installed
        system to ensure all paths come up on boot. (LP 1479929)
      + d/initramfs/hooks: install multipathd and required
        directories.
      + d/initramfs/hooks: copy multipath udev rules to initramfs
      + d/initramfs/hooks: do not copy kpartx rules to initramfs
      + d/initramfs/local-bottom: remember to stop multipathd.
      + d/initramfs/local-premount: wait for udev to settle before
        the call to resolve_device() in local_mount_root(), so the
        by-uuid/ symlinks have a chance to be updated by the
        multipath udev rules (LP 1503286).
      + d/initramfs/local-premount: Run multipath with -B so not to
        assign names nor change /etc/multipath/bindings during
        initramfs (LP 1561103)
    - debian/initramfs/local-bottom: wait for the multipathd unix
      socket to close, so to avoid multipathd.socket unit failure.
      (LP 1682178)
    - Split kpartx initramfs bits into kpartx-boot for dmraid (LP 941874)
      + d/kpartx-initramfs/hooks/kpartx
      + d/kpartx-boot.install
      + d/kpartx-boot.postinst
      + d/kpartx-boot.postrm
      + d/control: Add kpartx-boot package for dmraid
    - d/rules: Move udev rules to priority 95, because rules that load
      modules should be >90.
    - d/rules: remove -Bsymbolic-functions from LDFLAGS
      (https://github.com/opensvc/multipath-tools/issues/26)
    - Don't build the multipath-tools binary package on i386; only kpartx.
  * Dropped changes:
    - d/p/kpartx-Improve-finding-loopback-device-by-file.patch: Improve
      finding loopback devices (LP 1747044)
      [ Dropping due to LP: #1961633 ]
    - d/rules: copy udev rule after build.
      [ Included in debian version 0.9.4-5 ]
    - d/multipath-tools.install: install tmpfiles.d/multipath.conf
      [ Included in debian version 0.9.4-2 ]
    - SECURITY UPDATE: symlink attack CVE-2022-41973
      [ Applied upstream in 0.9.4 ]
    - SECURITY UPDATE: authorization bypass CVE-2022-41974
      [ Applied upstream in 0.9.4 ]
  * Added changes:
    - d/rules: do not install init scripts (LP: #2000186)
    - Fix mpathpersist scsi3 pgr broken (LP: #2026881)
      [ included upstream in 0.9.4 ]

 -- Mitchell Dzurick <mitchell.dzurick@canonical.com>  Mon, 17 Jul 2023 10:04:12 -0700

multipath-tools (0.9.4-5) unstable; urgency=medium

  * [7578bfb] Fail package build if udev rules are missing
  * [68c0ce2] Install udev multipath.rules again.
    Thanks to Joshua Huber <jhuber@blockbridge.com> (Closes: #1037539)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 14 Jun 2023 11:50:10 +0200

multipath-tools (0.9.4-4) unstable; urgency=medium

  [ Tobias Frost ]
  * [b3824e9] Mention CVEs in changelog as suggested in developer reference 5.1

  [ Chris Lamb ]
  * [6bb1ffa] Rebuild libdmmp docs properly during build (Closes: #1037205)

  [ Chris Hofstaedtler ]

