=== debian/tests/control ===
Tests: kpartx-file-loopback
Depends: gdisk,
         kpartx,
         qemu-utils
Restrictions: needs-root, isolation-machine

Tests: tgtbasedmpaths
Depends: fio,
         lsscsi,
         multipath-tools,
         open-iscsi,
         tgt
Restrictions: needs-root, isolation-machine, allow-stderr
