## multipath-tools 0.9.4-5ubuntu8trisquel2

=== libdmmp/Makefile ===
--- 
+++ 
@@ -75,7 +75,7 @@
 	$(Q)TEMPFILE=$(shell mktemp); \
 	cat $^ | perl docs/doc-preclean.pl >$$TEMPFILE; \
 	LC_ALL=C \
-	KBUILD_BUILD_TIMESTAMP=`git log -n1 --pretty=%cd --date=iso -- $^` \
+	KBUILD_BUILD_TIMESTAMP=`echo $$KBUILD_BUILD_TIMESTAMP | grep . || git log -n1 --pretty=%cd --date=iso -- $^` \
 	perl docs/kernel-doc -man $$TEMPFILE | \
 	    perl docs/split-man.pl docs/man; \
 	$(RM) -f $$TEMPFILE
