=== debian/changelog ===
multipath-tools (0.9.4-5ubuntu8trisquel2) ecne; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 28 Oct 2024 07:08:49 +0000
