=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: multipath-tools
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian DM Multipath Team <team+linux-blocks@tracker.debian.org>
 Uploaders: Guido Günther <agx@sigxcpu.org>,
            Ritesh Raj Sarraf <rrs@debian.org>,
